@echo off

REM........................
set IMGSTART=340000
set ULDR=uldr
set PP=12
set NOCERT=nocert
REM........................

set SYSBUILD=20764
set XIPBUILD=20764
set EXTBUILD=20764

set MERGILO= ..\TOOLS\IMGFS\NBMerge -kaiser OS-new.nb
set LOCALE=0410
set BUILD=Premium
set DPI=DPI_192
set RES=dpi_192_resh_480_resv_640
set DEVICE=DIAMOND
set OLDKERNEL=1

set DEVICEID=DIAM*****
set VERSIONID=2.0.00.00
set LANGID=0410
set CHUNKSIZE=64
set OSIDVALUE=0x400

set DSM=723fb954-d931-4348-b672-82a188e587b5.dsm

set ROMHDR=ROM\%device%\romhdr.bin

set XIP_PATTERNS=ROM\%DEVICE%\%xipbuild%\*;ROM\SHARED\%xipbuild%\*

set OEM_PATTERNS=OEM\%device%\COMMON\*;OEM\%device%\%locale%\*

set SYS_PATTERNS=SYS\%sysbuild%\SHARED\COMMON\*;SYS\%sysbuild%\SHARED\%LOCALE%\*;SYS\%sysbuild%\%dpi%\COMMON\*;SYS\%sysbuild%\%dpi%\%LOCALE%\*;SYS\%sysbuild%\%res%\COMMON\*;SYS\%sysbuild%\%res%\%LOCALE%\*

set EXT_PATTERNS=EXT\%DEVICE%\%EXTBUILD%\*\*;EXT\%DEVICE%\COMMON\*\*;EXT\SHARED\*\*





set DSM_TEMPLATE=%dsm%
set DSM_INCLUDES=*


REM ===========================================================================================


@echo off

cd..


echo.
echo Executing dsm_editor to  rebuild all packages for .pkg updates.....
tools\dsm_editor -rom

echo.
echo Executing g'reloc or wmreloc.....

tools\greloc -dump -doit
rem tools\wmreloc -gtemp\dump

cd Temp
echo Copying OS.nb.payload...
copy ..\ROM\%device%\OS.nb.payload OS.nb.payload
if not "%errorlevel%"=="0" goto error

REM ===========================================================================================

echo.
echo Execute implantxip
echo.
..\TOOLS\implantxip -xip xip.bin -payload OS.nb.payload -imgstart %imgstart% -%uldr% -pp %pp% -%nocert%
if not "%errorlevel%"=="0" goto error

REM ===========================================================================================

echo.
..\TOOLS\IMGFS\ImgfsFromNb   OS.nb.payload imgfs.bin
if not "%errorlevel%"=="0" goto error

..\TOOLS\IMGFS\ImgfsFromDump -compression LZX imgfs.bin imgfs-new.bin
if not "%errorlevel%"=="0" goto error

..\TOOLS\IMGFS\ImgfsToNb     imgfs-new.bin OS.nb.payload OS-new.nb.payload -bigstoragemove
if not "%errorlevel%"=="0" goto error


rem -------------------------------------------------------------------------------------------
%mergilo%
rem -------------------------------------------------------------------------------------------

if not "%errorlevel%"=="0" goto error

REM ===========================================================================================

del imgfs-new.bin
del imgfs.bin
del OS.nb.payload
del OS-new.nb.payload

REM ===========================================================================================



REM ===========================================================================================

echo.
cd..
cd RELEASE_%device%
if exist "RUU_signed.nbh" del /q RUU_signed.nbh
if not "%errorlevel%"=="0" goto error
rem cd..
rem cd temp
echo executing NBHUtils to build nbh file...

rem ---------------------------------------------------
 ..\tools\nbhutil -model %deviceid% -ver %versionid% -lang %langid% -chunk %chunksize% -nogui -e -i %osidvalue% ..\temp\os-new.nb -b ruu_signed.nbh
rem ---------------------------------------------------

if not "%errorlevel%"=="0" goto error

cd..
cd release_%device%

echo.
dir RUU_signed.nbh
echo.

REM ===========================================================================================


echo.
echo Done!!!
echo.



ROMUpdateUtility.exe
cd..

goto end

:error
echo.
echo ERROR! (errorlevel: %errorlevel%)

:end

